MysqlndUhConnection::endPSession
MysqlndUhConnection::getAffectedRows
MysqlndUhConnection
PHP Manual

# MysqlndUhConnection::escapeString

(PECL mysqlnd-uh >= 1.0.0-alpha)

MysqlndUhConnection::escapeString — Escapes special characters in a string for use in an SQL statement, taking into account the current charset of the connection

### Description

public string MysqlndUhConnection::escapeString ( mysqlnd_connection `$connection` , string `$escape_string` )

Escapes special characters in a string for use in an SQL statement, taking into account the current charset of the connection.

### Parameters

`MYSQLND_UH_RES_MYSQLND_NAME`

  Mysqlnd connection handle. Do not modify!

`escape_string`

  The string to be escaped.

### Return Values

The escaped string.

### Examples

Example #1 MysqlndUhConnection::escapeString() example

`<?php
class proxy extends MysqlndUhConnection {
public function escapeString($res, $string) {
printf("%s(%s)\n", __METHOD__, var_export(func_get_args(), true));
$ret = parent::escapeString($res, $string);
printf("%s returns %s\n", __METHOD__, var_export($ret, true));
return $ret;
}
}
mysqlnd_uh_set_connection_proxy(new proxy());
$mysqli = new mysqli("localhost", "root", "", "test");
$mysqli->set_charset("latin1");
$mysqli->real_escape_string("test0'test");
?>`

The above example will output:

    proxy::escapeString(array (
      0 => NULL,
      1 => 'test0\'test',
    ))
    proxy::escapeString returns 'test0\\\'test'

### See Also

- mysqlnd_uh_set_connection_proxy() - Installs a proxy for mysqlnd connections
- mysqli_real_escape_string() - Escapes special characters in a string for use in an SQL statement, taking into account the current charset of the connection
- mysql_real_escape_string() - Escapes special characters in a string for use in an SQL statement

MysqlndUhConnection::endPSession
MysqlndUhConnection::getAffectedRows
MysqlndUhConnection
PHP Manual